Updates an existing quote

Updates an existing quote

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string | null

A user provided unique identifier for the quote

string | null

Unique identifier for the quote's linked account

string | null

Billing account ID associated with this quote

string | null

Unique identifier for the quote's legal entity

string

Description of the quote

date | null

The date in which the quote expires

string | null
enum
required

Net terms of the quote

date | null

The date on which the quote's contract will start

date | null

The date on which the quote's contract will end. If contract end date is provided, contract length will be ignored

int32 | null
required

The duration of the contract in months

string | null

The terms of the contract

uri | null

The URI pointing to where the quote's document is located

boolean
required

A boolean flag indicating whether to renew the contract at the end or term

boolean
required

A boolean flag indicating whether esign is required or not

string | null
enum

The source of the start date for the contract

Allowed:
string
enum

Type of access to enabled to other users for this quote

Allowed:
customFields
object | null

A key value map of custom data to attach to the quote. Fields must be configured at the tenant level

contractRenewalTerms
object | null

The renewal terms of the contract

string | null
enum

Types of new quotes

Allowed:
billingAnchor
object
string | null
enum

The method by which discounts are applied to the quote. It can be COMBINED, SEQUENTIAL. When 'Combined' is selected, catalog discounts and custom discounts are summed and applied together. When 'Sequential' is selected, the catalog discount is applied first, then the custom discount is applied to the resulting price.

Allowed:
billingPolicy
object
Headers
string
required

x-api-key is an authentication or authorization token used in API requests to verify the identity and permissions of the client

Responses

400

Bad Request

404

Quote not found

409

%s: Custom Id (%s) already exists

500

Internal server error. Please contact the support team.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json